baseQualityConvertor Class Reference

## Public Member Functions

double | toDouble (unsigned char baseQuality)

## Detailed Description

Definition at line 21 of file BaseQualityHelper.h.

## Constructor & Destructor Documentation

## baseQualityConvertor()

baseQualityConvertor::baseQualityConvertor | ( |  | ) |

Definition at line 24 of file BaseQualityHelper.cpp.

{
// Create a quick lookup table to speed up conversion of
// base quality values stored as log10 (error rates) into
// fractional error rates
for (int i = 0; i <= 255; i++)
doubleLookup[i] = pow(0.1, i * 0.1);
// doubleLookup[255] = 0.0;
}

## Member Function Documentation

## toDouble()

double baseQualityConvertor::toDouble | ( | unsigned char | baseQuality | ) |

Definition at line 34 of file BaseQualityHelper.cpp.

{
return doubleLookup[bq];
}

The documentation for this class was generated from the following files:

- general/BaseQualityHelper.h
- general/BaseQualityHelper.cpp